Class | TkNamespace::ScopeArgs
In: | tk/lib/tk/namespace.rb
Parent: | Array

### Methods

new tk_call tk_call_with_enc tk_call_without_enc

### Included Modules

Tk

### Public Class methods

new(namespace, *args)

[Source]

    # File tk/lib/tk/namespace.rb, line 135
        def initialize(namespace, *args)
          @namespace = namespace
          super(args.size)
          self.replace(args)
        end

### Public Instance methods

tk_call(*args)

alias __tk_call tk_call alias __tk_call_without_enc tk_call_without_enc alias __tk_call_with_enc tk_call_with_enc

[Source]

    # File tk/lib/tk/namespace.rb, line 116
        def tk_call(*args)
          #super('namespace', 'eval', @namespace, *args)
          args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
          super('namespace', 'eval', @namespace,
                TkCore::INTERP._merge_tklist(*args))
        end

tk_call_with_enc(*args)

[Source]

    # File tk/lib/tk/namespace.rb, line 128
        def tk_call_with_enc(*args)
          #super('namespace', 'eval', @namespace, *args)
          args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
          super('namespace', 'eval', @namespace,
                TkCore::INTERP._merge_tklist(*args))
        end

tk_call_without_enc(*args)

[Source]

    # File tk/lib/tk/namespace.rb, line 122
        def tk_call_without_enc(*args)
          #super('namespace', 'eval', @namespace, *args)
          args = args.collect{|arg| (s = _get_eval_string(arg, true))? s: ''}
          super('namespace', 'eval', @namespace,
                TkCore::INTERP._merge_tklist(*args))
        end

[Validate]